* {
    box-sizing: border-box;
    font-family: "Myriad Pro", sans-serif;
}

/* Components */

.main-container {
    max-width: 1200px !important;
    margin: 0 auto;
}

.content-container {
    max-width: 42%;
    margin: 0 auto 100px 0;
}


.bg {
    background: rgba(255,246,226,1);
    background-image: url(../images/bg-image.png);
    background-image: url(../images/bg-image.png), linear-gradient(214deg, rgba(255,246,226,1) 0%, rgba(255,239,207,1) 100%);
    background-position: bottom right;
    background-repeat: no-repeat;
    background-size: contain;
    margin-bottom: 40px;
}

/*Homepage*/

form input {
    background-color: rgba(255, 241, 213, 0.9);
}
    


/*Questions*/

.answer-option {
    display: inline-flex;
    width: 32px;
    height: 32px;
    max-width:32px;
    background-color: #FEE9CA;
    border-radius: 8px;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    padding: 12px;
}

.correct-answer {
    display: flex;
    flex-direction: row;
    font-size: 18px;
    color: #001B33;
    background-color: #EDFDF8!important;
    border: 1px solid #08875D!important;
    padding: 12px;
    align-content: space-between;
    line-height: 1.5;
}

.correct-answer > .answer-option {
    background-color: #E1F7F0;
}

/* adicionar no html em vez da letra da resposta
<i class="fa-solid fa-check" style="color: #08875D"></i>*/

.wrong-answer {
    display: flex;
    flex-direction: row;
    font-size: 18px;
    color: #001B33;
    background-color: #FBBFBC;
    border: 1px solid #E02D3C!important;
    padding: 12px;
    align-content: space-between;
    line-height: 1.5;
}

.wrong-answer > .answer-option {
    background-color: #FDE7E9;
}

/* adicionar no html em vex da letra da resposta
<i class="fa-solid fa-xmark" style="color: #E02D3C"></i>*/

.correct-answer:hover {
    display: flex;
    flex-direction: row;
    font-size: 18px;
    color: #001B33;
    background-color: #EDFDF8!important;
    border: 1px solid #08875D!important;
    padding: 12px;
    align-content: space-between;
    line-height: 1.5;
}

.wrong-answer {
    display: flex;
    flex-direction: row;
    font-size: 18px;
    color: #001B33;
    background-color: #FEF1F2!important;
    border: 1px solid #E02D3C!important;
    padding: 12px;
    align-content: space-between;
    line-height: 1.5;
}

li {
    background-color: rgba(255, 241, 213, 0.9);
}

.feedback-message {
    background-color: rgba(255, 241, 213, 0.9);
}

/*Results*/

th {
    font-weight: 400;
}

.position-cell {
    border-top-left-radius: 12px;
}

.time-cell {
     border-top-right-radius: 12px;
}

.own-position {
    font-weight: 500!important;
    background-color: #EA5504;
    color: white;
}

.column {
    padding: 8px 6px;

}

.position-column {
    width: 10%;
}

.name-column {
    width: 50%;
    text-align: left;
    padding-left: 12px
    
}

.answers-column {
    width: 15%;
    
}

.time-column {
    width: 20%;
    
}

.resultsTable tr th {
    background: rgba(253, 236, 197, 0.5);
}

.resultsTable tr:nth-child(odd) th {
    background: rgba(253, 236, 197, 0.9);
}

.resultsTable tr:first-of-type th {
    background: rgba(234, 85, 4,1);
    color: #ffffff;
}

@media screen and (max-width: 1199px) {
    .bg {
        background-size: 100%;
    }

    .content-container {
        max-width: 80%;
        margin: 50px auto 90% auto!important;
        align-items: center;
        text-align: center
    }

    .content-container button {
        display: inline-block;
        margin: 24px auto 0
    }
    
    li {
        text-align: left
    }

    p, h2 {
        margin:  0 auto!important;
    }
    
    .gap-24 {
        gap: 5rem !important;
    }
    
    form {
        width: 50%;
        margin: auto
    }
    
    
}


@media screen and (max-width: 899px) {

    .bg {
        background-size: 100%;
    }

    .content-container {
        max-width: 95%;
        margin: 50px auto 90% auto!important;
        align-items: center;
        text-align: center;
    }

    .content-container button {
        width: 100%;
        margin:  32px auto 0;
        font-size: 18px;
    }

    h1 {

        font-size: 42px!important;
    }
    
    .gap-24 {
        gap: 5rem !important;
    }
    
    .mobile-form {
        width: 90%!important;
    }
    
    .mobile-form label {
        text-align: left!important;
    }
    
    footer {
        height: 80px!important;
        padding: 16px!important;
    }
    
    footer .mobile {
        margin-top: 10px!important;
    }
    
    .bg {
        margin-bottom: 80px
    }
}
